Package org.gradle.tooling.events

## Interface ProgressListener

-     public interface ProgressListener

  A listener which is notified when operations that are executed as part of running a build make progress.
  Since:
    2.5
  See Also:
    `LongRunningOperation.addProgressListener(ProgressListener)`, `LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `statusChanged​(ProgressEvent event)` | Called when the execution of an operation progresses.

- - ### Method Detail

    - #### statusChanged

          void statusChanged​(ProgressEvent event)

      Called when the execution of an operation progresses.

      The possible progress event types are listed in `OperationType`'s documentation.

      You can find out more about the operation for which progress is reported by querying the descriptor using `ProgressEvent.getDescriptor()`.

      Parameters:
        `event` - An event describing the operation progress.
      See Also:
        `ProgressEvent`, `OperationType`